Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.management.configuration
Class B2BConfigurationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.bea.wli.management.configuration.B2BConfigurationException

All Implemented Interfaces:
  Serializable

public class B2BConfigurationException
extends Exception

A B2BConfigurationException is thrown if an error occurred in a WebLogic B2B Integration management application.

See Also:
  Serialized Form

Constructor Summary
`B2BConfigurationException()` Constructs a B2BConfigurationException.
`B2BConfigurationException(Exception e)` Constructs a B2BConfigurationException with a nested exception
`B2BConfigurationException(String msg)` Constructs a B2BConfigurationException with the specified message text.

Method Summary
`Throwable` | `getNestedException()` Deprecated.
`void` | `setNestedException(Throwable nested)` Deprecated.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### B2BConfigurationException

    public B2BConfigurationException(String msg)

  Constructs a B2BConfigurationException with the specified message text.

Parameters:
  `msg` - Message text.

### B2BConfigurationException

    public B2BConfigurationException()

  Constructs a B2BConfigurationException.

### B2BConfigurationException

    public B2BConfigurationException(Exception e)

  Constructs a B2BConfigurationException with a nested exception

Method Detail

### setNestedException

    public final void setNestedException(Throwable nested)

  Deprecated.

  Set nested exception. This method should not be called if B2BException is created using constructor that takes Throwable

### getNestedException

    public final Throwable getNestedException()

  Deprecated.

  Get nested exception.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD